# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # UK Wire: Send high-value funds ## Overview UK Wire PayOuts in J.P. Morgan Wallet™ allow you to initiate payments from your Wallet DDA in the UK to other bank accounts in the UK through wire transfers. UK Wire PayOuts are meant for high-value transactions and do not have an upper limit; for low-value transactions, use an alternative payment rail. For an overview of payment types in Wallet, see [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview). ### Use cases You can use the UK Wire payment rail to transfer high-value funds in GBP between UK banks. For example: - Merchant services platform: Pay out a merchant's revenue to their UK bank account. - Video game company: Pay out a player's in-game currency to their UK bank account. - Marketplace platform: Pay out a seller's revenue to their UK bank account. ### Key information The following table describes important information about UK Wire. **Key information for UK Wire** | Production endpoint | v3.x: https://apigateway.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch Use if you need to send funds from Japan or handle BGN currency. | v2.x: https://apigateway.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch Use if you don't require v3. | | --- | --- | --- | | Client testing endpoint | v3.x: https://apigatewaycat.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch | v2.x: https://apigatewaycat.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch | | API reference | v3.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc#/operations/generatePayoutBatchTransactions) | v2.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc-2#/operations/generatePayoutBatchTransactions) | | Supported branches | J.P. Morgan Chase Bank, London branch (see [Reference - Supported branches and their Business Identifier Codes](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)) | | Supported currencies | GBP | | Supported account types | All (Demand Deposit Account - DDA and Customer Money Account - CMA) | | Payment type | - [PayIn](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payin) - [PayInto](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto) - [PayInto Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-collection) - [PayInto Receipt](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-receipt) - PayOut - [PayOut Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/outgoing/payout-collection) | | Payment flows | - Domestic, same currency: GBP to GBP - Domestic, Foreign Exchange (FX): Not supported - Cross-border, same currency: Not supported - Cross-border, FX: Not supported | | Transaction limit | No default limit | | Cut-off time | 5:00pm GMT on business days | | Settlement period | Same business day | | Returns, recalls, and reversals | Not supported | | Service level code | Set serviceLevel.code to URGP | ### Prerequisites Before you can execute transactions using the UK Wire payment rail, you must configure your Wallet program for UK Wire. For more information, ask your J.P. Morgan representative. ### Reporting UK Wire transactions appear on your daily **TRANSACTION ACTIVITY** reports. The following table is an example of what a UK Wire transaction on a **TRANSACTION ACTIVITY** report might look like. **TRANSACTION ACTIVITY report example** | CLIENT ID | 0186125263 | | --- | --- | | PROGRAM ID | 1000000006 | | BUSINESS PROCESSING DATE | 3/4/2026 | | BANK NAME | JPM London | | WALLET DDA NUMBER | XXXXXXXXXX | | WALLET CURRENCY | GBP | | RECEIVED DATE | 3/4/2026 | | REQUESTED VALUE DATE | 3/4/2026 | | VALUE DATE | 3/4/2026 | | CLIENT TXN ID | bStpHZXqs9 | | TXN TYPE | PAYOUT | | DEBTOR ACCOUNT | XXXXXXXXXX | | DEBTOR NAME | ewallet | | DEBTOR VIRTUAL ACCOUNT ID | eVTAkfKn7hJA7o | | DEBTOR AGENT | JPMORGAN CHASE BANK N.A. | | DEBTOR AGENT ID | CHASGB2LXXX | | DEBIT AMOUNT | 0.11 | | DEBIT CURRENCY | GBP | | CREDITOR ACCOUNT | XXXXXXXXXX | | CREDITOR NAME | ewallet creditor | | CREDITOR AGENT | JPMORGAN CHASE BANK N.A. | | CREDITOR AGENT ID | CHASGB2LXXX | | CREDIT AMOUNT | 0.11 | | CREDIT CURRENCY | GBP | | STATUS | REJECTED | | SETTLEMENT METHOD | WIRE | | PRN | XXXXXXXXXX | | REMITTANCE INFO | This is the remittance information | | EXCEPTION CODE | CH22 | | EXCEPTION REASON | Prohibited field is present Instruction Id is not allowed | | MATCHED REFERENCE ID | bStpHZXqs9 | | DDA NARRATIVE | This is the remittance information | ## Important parameters The following sections list important parameters in the UK Wire PayOut request along with their requirements. Not all parameters are listed here—for a complete list, see the API reference. ### Header parameters Include the following parameters in the header. **Header parameters for UK Wire PayOut requests** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | | transactionType | Required | The type of transaction. Set to PAYOUT if you are transferring funds to an external DDA. | ### Body parameters Note the following important body parameters for UK Wire transactions. #### groupHeader The `groupHeader` object contains information about the batch of transactions. **UK Wire PayOut: groupHeader** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional | Sum of the transaction amounts in the batch. | | creationDateTime | Required | Date and time when the batch was created. Must be in local time with the time zone offset to UTC in the following format: YYYY-MM-DDThh:mm:ss±hh:mm | | initiatingParty.name | Conditionally required | Name of the initiating party (you). Maximum 35 characters. At least one parameter in initiatingParty is required. | | messageIdentification | Required | Unique ID of the batch of transactions. Maximum 35 characters. | | numberOfTransactions | Required | Total number of transactions in the batch. Must be 1-500. | The following code snippet is an example of the `groupHeader` object. ```json { "groupHeader": { "messageIdentification": "GBPWIRE168724", "creationDateTime": "2023-10-25T21:08:05.142+00:00", "numberOfTransactions": 1, "controlSum": 3.11, "initiatingParty": { "name": "ewallet" } } } ``` #### paymentInformation The `paymentInformation` object contains parameters related to the payment. **UK Wire PayOut: paymentInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Optional | Sum of the transaction amounts in the batch. | | numberOfTransactions | Optional | Total number of transactions in the batch. Must be 1-500. | | paymentInformationIdentification | Required | Unique ID of the payment. Maximum 35 characters. | | paymentMethod | Required | Set to TRF. For more information, see [Payments - Payment methods](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#payment-methods). | | paymentTypeInformation.serviceLevel.code | Conditionally required | For same-currency UK Wire PayOuts, set to URGP. For more information, see [Payments - Service level codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#service-level-codes). | | requestedExecutionDate | Required | Date when the transaction should be executed in YYYY-MM-DD format. Can be up to seven business days in the past (T-7) or 90 business days in the future (T+90). For more information on this field, see [Payments - Requested execution date](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#requested-execution-date). | The following code snippet is an example of the `paymentInformation` object. ```json { "paymentInformation": { "paymentInformationIdentification": "GBPWIRE946435", "numberOfTransactions": 1, "controlSum": 3.11, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "URGP" } }, "requestedExecutionDate": "2024-01-04" } } ``` #### paymentInformation.debtor The paymentInformation.`debtor` object contains information about the individual or business that represents the debtor. **UK Wire PayOut: paymentInformation.debtor** | Parameter | Required / Optional | Description | | --- | --- | --- | | name | Conditionally required | Name of the debtor. Maximum 140 characters. At least one parameter in paymentInformation.debtor is required. | | postalAddress | Conditionally required | Postal address of the debtor. Must be in the UK. At least one parameter in paymentInformation.debtor is required. | The following code snippet is an example of the paymentInformation.`debtor` object. ```json { "paymentInformation": { "debtor": { "name": "HERBLIFE", "postalAddress": { "streetName": "Main Street", "buildingNumber": "111", "postCode": "1234", "townName": "Jersey City", "country": "GB" } } } } ``` #### paymentInformation.debtorAccount The paymentInformation.`debtorAccount` object contains information about the bank account of the debtor. **UK Wire PayOut: paymentInformation.debtorAccount** | Parameter | Required / Optional | Description | | --- | --- | --- | | currency | Optional | Currency of the funds in the debtor account. Must be GBP. | | identification.other.identification | Conditionally required | ID corresponding to paymentInformation.debtorAccount.identification.other.schemeName. Maximum 35 characters. At least one parameter in paymentInformation.debtorAccount.identification is required. | | name | Optional | Name of the debtor account. Maximum 140 characters. | The following code snippet is an example of the paymentInformation.`debtorAccount` object. ```json { "paymentInformation": { "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP", "name": "HERBLIFE_FXWIRE_PAYOUT" } } } ``` #### paymentInformation.debtorAgent The paymentInformation.`debtorAgent` object contains information about the bank where the debtor account is located. **UK Wire PayOut: paymentInformation.debtorAgent** | Parameter | Required / Optional | Description | | --- | --- | --- | | financialInstitutionIdentification.bic | Conditionally required | SWIFT BIC of the debtor bank. You can identify the debtor bank by its routing number or its BIC. If you identify it by its BIC, and your Wallet DDA is the debtor account, it must be CHASGB2LXXX (the J.P. Morgan Chase Bank, London branch). For more information, see [Reference - Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics). | | financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Conditionally required | Either the BIC (financialInstitutionIdentification.bic) or the routing number (financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) of the debtor bank branch is required. This parameter is required if you provide the routing number. See [Payments - Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | The following code snippet is an example of the paymentInformation.`debtorAgent` object. ```json { "paymentInformation": { "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX" } } } } ``` #### paymentInformation.creditTransferTransactionInformation The paymentInformation.`creditTransferTransactionInformation` object contains information about the transaction such as the creditor, the ultimate debtor, and the ultimate creditor. **UK Wire PayOut: paymentInformation.creditTransferTransactionInformation** | Parameter | Required / Optional | Description | | --- | --- | --- | | amount.instructedAmount.amount | Conditionally required | Amount of funds to be transferred from the debtor to the creditor, in the currency of the debtor account. Maximum 18 digits with six decimal places. Either amount.instructedAmount or amount.equivalentAmount is required. This parameter is required if amount.instructedAmount is present. | | amount.instructedAmount.currency | Conditionally required | Currency of the funds in the debtor account. Must be GBP. Either amount.instructedAmount or amount.equivalentAmount is required. This parameter is required if amount.instructedAmount is present. | | creditor.name | Optional | Name of the creditor. Maximum 140 characters. | | creditor.postalAddress | Optional | Postal address of the creditor. Must be in the UK. | | creditorAccount.currency | Optional | Currency of the funds in the creditor account. Must be GBP. | | creditorAccount.identification.other.identification | Conditionally required | Account number of the creditor account. Maximum 35 characters. Either this or paymentInformation.creditTransferTransactionInformation.creditorAccount.identification.IBAN is required. | | creditorAccount.name | Optional | Name of the creditor account. Maximum 140 characters. | | creditorAgent.financialInstitutionIdentification.bic | Conditionally required | SWIFT BIC of the creditor bank. If your Wallet DDA is the creditor account, this must be CHASGB2LXXX (J.P. Morgan Chase Bank, London branch). Maximum 11 characters. Either the BIC or routing number is required. For more information, see [Reference - Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference). | | creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.proprietary | Conditionally required | String corresponding with creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification. If you provide the creditor bank's routing number, set this to GBP ROUTING. Either the BIC or routing number is required. Must be 1-35 characters. | | creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | Routing number of the creditor bank. Either this or the BIC is required. Maximum 35 characters. | | creditorAgent.financialInstitutionIdentification.name | Optional | Name of the creditor bank branch. Maximum 140 characters. | | creditorAgent.financialInstitutionIdentification.postalAddress | Optional | Postal address of the creditor bank branch. Must be in the UK. | | paymentIdentification.endToEndIdentification | Required | Unique ID for tracing requests and responses for this transaction. Maximum 16 characters. | | remittanceInformation.unstructured | Optional | Array of strings of remittance information. Each string must be a maximum of 140 characters. | | ultimateDebtor.identification.organisationIdentification.other.identification | Conditionally required | ID of the VTA to debit. Required if you include the ultimateDebtor parameter. | | ultimateDebtor.identification.organisationIdentification.other.schemeName.proprietary | Conditionally required | Set to virtualAccountIdentification. Required if you include the ultimateDebtor parameter. | The following code snippet is an example of the paymentInformation.`creditTransferTransactionInformation` object. ```json { "paymentInformation": { "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "GBPWIRE640815MT" }, "amount": { "instructedAmount": { "amount": 3.11, "currency": "GBP" } }, "remittanceInformation": { "unstructured": [ "remittance 123456" ] }, "ultimateDebtor": { "name": "ultimate debtor", "postalAddress": { "addressType": "HOME", "streetName": "Bib's St", "buildingNumber": "1605", "postCode": "012345", "townName": "Luxemburg", "country": "GB" }, "identification": { "organisationIdentification": { "other": [ { "identification": "ANS-LON-PRN-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "proprietary": "GBP ROUTING" }, "memberIdentification": "021000021" }, "name": "Europe CUBA", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "London", "country": "GB" } } }, "creditor": { "name": "wallet CUBA", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "Lebanon", "country": "GB" } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP", "name": "creditorAccount" } } ] } } ``` ## Examples ### Request with minimum required data (non-TP3) The following example shows the minimum data required to execute a PayOut transaction using the UK Wire payment rail. ```json { "groupHeader": { "messageIdentification": "GBPWIRE168724", "creationDateTime": "2023-10-25T21:08:05.142+00:00", "numberOfTransactions": 1, "initiatingParty": { "name": "ewallet" } }, "paymentInformation": { "paymentInformationIdentification": "GBPWIRE946435", "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "URGP" } }, "requestedExecutionDate": "2024-01-04", "debtor": { "name": "HERBLIFE" }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } } }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX" } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "GBPWIRE640815MT" }, "amount": { "instructedAmount": { "amount": 3.11, "currency": "GBP" } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX" } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } } } } ] } } ``` ### Request with optional data The following example shows a UK Wire PayOut request with optional data. ```json { "groupHeader": { "messageIdentification": "GBPWIRE168724", "creationDateTime": "2023-10-25T21:08:05.142+00:00", "numberOfTransactions": 1, "controlSum": 3.11, "initiatingParty": { "name": "ewallet" } }, "paymentInformation": { "paymentInformationIdentification": "GBPWIRE946435", "numberOfTransactions": 1, "controlSum": 3.11, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "URGP" } }, "requestedExecutionDate": "2024-01-04", "debtor": { "name": "HERBLIFE", "postalAddress": { "streetName": "Main Street", "buildingNumber": "111", "postCode": "1234", "townName": "Jersey City", "country": "GB" } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP", "name": "HERBLIFE_FXWIRE_PAYOUT" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX" } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "GBPWIRE640815MT" }, "amount": { "instructedAmount": { "amount": 3.11, "currency": "GBP" } }, "exchangeRateInformation": { "exchangeRate": 0.0, "contractIdentification": "9033" }, "chargeBearer": "DEBT", "remittanceInformation": { "unstructured": [ "remittance 123456" ] }, "ultimateDebtor": { "name": "ultimate debtor", "postalAddress": { "addressType": "HOME", "streetName": "Bib's St", "buildingNumber": "1605", "postCode": "012345", "townName": "Luxemburg", "country": "GB" }, "identification": { "organisationIdentification": { "other": [ { "identification": "ANS-LON-PRN-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "proprietary": "GBP ROUTING" }, "memberIdentification": "021000021" }, "name": "Europe CUBA", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "London", "country": "GB" } } }, "creditor": { "name": "wallet CUBA", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "Lebanon", "country": "GB" } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP", "name": "creditorAccount" }, "instructionForDebtorAgent": "instructionForDebtorAgent" } ] } } ``` ### Notification The following is an example of an asynchronous notification that Wallet sends after executing the previous request. ```json { "groupHeader": { "messageIdentification": "2af64e8a-81e2-497c-9ef1-36beb7530a72", "creationDateTime": "2024-06-07T06:47:10.398+0000", "initiatingParty": { "name": "ewallet" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "GBPWIRE168724", "originalMessageNameIdentification": "API-PAYOUT", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "GBPWIRE946435", "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "GBPWIRE640815MT", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete", "/POSTED-BALANCE:ultimateDebtor:ACCOUNT-TYPE/TRANSACTION", "/POSTED-BALANCE:ultimateDebtor:VERSION/10", "/POSTED-BALANCE:ultimateDebtor:ITBD/-1000999272.76", "/POSTED-BALANCE:ultimateDebtor:ITAV/-1000999922.89", "/POSTED-BALANCE:ultimateDebtor:XPCD/-1000999272.76", "/POSTED-BALANCE:ultimateDebtor:EFFECTIVE-DATE/2024-01-04", "/POSTED-BALANCE:ultimateDebtor:TIMESTAMP/2024-06-07T06:45:12.090+00:00" ] } ], "acceptanceDateTime": "2024-06-06T16:18:07.169+0000", "accountServicerReference": "5658370 00205", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 3.11, "currency": "GBP" } }, "requestedExecutionDate": "2024-01-04", "paymentMethod": "TRF", "remittanceInformation": [ { "remittanceInformationText": "remittance 123456", "remittanceSequenceNumber": "1" } ], "ultimateDebtor": { "name": "ultimate debtor", "postalAddress": { "streetName": "Bib's St", "buildingNumber": "1605", "postCode": "012345", "townName": "Luxemburg", "country": "GB" }, "identification": { "organisationIdentification": { "other": [ { "identification": "ANS-LON-PRN-1", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX" } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "proprietary": "GBP ROUTING" }, "memberIdentification": "021000021" }, "name": "Europe CUBA", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "London", "country": "GB" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" }, "receiver": { "name": "wallet CUBA", "postalAddress": { "streetName": "SUITE 141", "buildingNumber": "123 main Street", "postCode": "10314", "townName": "Lebanon", "country": "GB" } } } } ] } } ``` ## FX PayOuts A UK Wire Foreign Exchange (FX) PayOut enables you to transfer GBP from a DDA in the UK to a recipient in another country, converting the funds to a currency supported in their country. For UK Wire FX transactions, you must set serviceLevel.`proprietary` to `URGPFX`. For more information about Wire FX PayOuts, see [Wire FX: Send high-value funds in a different currency](/docs/treasury/jp-morgan-wallet/capabilities/payments/outgoing/wire-fx). The following example request initiates a UK Wire FX transaction, converting funds from GBP to AUD. ```json { "groupHeader": { "messageIdentification": "X20240614010327", "creationDateTime": "2024-06-14T13:03:27-04:00", "numberOfTransactions": 1, "controlSum": 0.05, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "X20240614010327", "numberOfTransactions": 1, "controlSum": 0.05, "paymentMethod": "TRF", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "proprietary": "URGPFX" } }, "requestedExecutionDate": "2024-06-14", "debtor": { "name": "JPMC bank", "postalAddress": { "country": "GB" } }, "debtorAccount": { "name": "JPMC Client Name", "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "GBP" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASGB2LXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "GBDSC" }, "memberIdentification": "609242" }, "postalAddress": { "country": "GB" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "instructionIdentification": "X20240614010327", "endToEndIdentification": "X20240614010327" }, "amount": { "equivalentAmount": { "amount": 0.05, "currency": "GBP", "currencyOfTransfer": "AUD" } }, "exchangeRateInformation": { "contractIdentification": "RF946D8E7FD7F430927C5DA02BFA26" }, "ultimateDebtor": { "name": "JPMC bank", "identification": { "organisationIdentification": { "other": [ { "identification": "VAID00002", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASAU2XXXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "proprietary": "AUD ROUTING" }, "memberIdentification": "212-200" }, "name": "Europe Agent", "postalAddress": { "addressType": "ADDR", "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "AU", "addressLine": [ "4901 Memorial Pkwy" ] } } }, "creditor": { "name": "JPMC bank", "postalAddress": { "addressType": "ADDR", "streetName": "BriarwoodCt", "buildingNumber": "111", "postCode": "19460", "townName": "Phoenixville", "country": "AU", "addressLine": [ "4901 Memorial Pkwy" ] } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "AUD" }, "purpose": { "code": "SALA" }, "remittanceInformation": { "unstructured": [ "TRANSFER CREDIT B/O: PUBLIC BANK BERHAD" ] } } ] } } ``` ## TP3 PayOuts This section explains the requirements for Third Party Payment Processor (TP3) transactions using the UK Wire payment rail. For more information about TP3 transactions, see [Pay on behalf of a third party](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#tp3-pay-on-behalf-of-a-third-party). ### Flows Wallet supports the following flows for TP3 UK Wire transactions: - London / GBP to GBP ### Requirements In addition to the requirements described in [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview), the following fields in the paymentInformation.`creditTransferTransactionInformation` object have specific requirements for TP3 UK Wire transactions. **paymentInformation.creditTransferTransactionInformation object requirements for TP3 UK Wire** | Field | Required / Optional | Requirements | | --- | --- | --- | | ultimateDebtor.name | Required | Maximum 35 characters. | | ultimateDebtor.postalAddress.addressLine | Optional | Maximum 70 characters. | | ultimateDebtor.postalAddress.buildingNumber | Optional | Maximum 16 characters. | | ultimateDebtor.postalAddress.country | Required | Two-character ISO 3166 country code. | | ultimateDebtor.postalAddress.countrySubDivision | Optional | Maximum 23 characters. | | ultimateDebtor.postalAddress.postCode | Required | Maximum 10 characters. | | ultimateDebtor.postalAddress.streetName | Required | Maximum 35 characters. | | ultimateDebtor.postalAddress.townName | Required | Maximum 35 characters. | ### Example The following is an example of the `ultimateDebtor` object in a TP3 UK Wire request. ```json "ultimateDebtor": { "name": "JPMC in London 1234 JPMC in Lon35ch", "postalAddress": { "streetName": "456 Street Name", "postCode": "12345", "townName": "Paris", "country": "FR" }, ... ```